import { AstNode } from "./core/AstNode";
export class Lambda extends AstNode {
    parameters;
    body;
    constructor({ parameters, body }) {
        super();
        this.parameters = parameters ?? [];
        this.body = body;
        this.inheritReferences(body);
    }
    write(writer) {
        writer.write("lambda");
        if (this.parameters && this.parameters.length) {
            writer.write(" ");
            this.parameters.forEach((param, index) => {
                param.write(writer);
                if (index < this.parameters.length - 1) {
                    writer.write(", ");
                }
            });
        }
        writer.write(": ");
        this.body.write(writer);
    }
}
