import { Type } from "./Type";
import { AstNode } from "./core/AstNode";
import { Writer } from "./core/Writer";
export declare namespace Parameter {
    interface Args {
        name: string;
        type: Type | undefined;
        initializer?: AstNode;
    }
}
export declare class Parameter extends AstNode {
    readonly name: string;
    readonly initializer: AstNode | undefined;
    readonly type: Type | undefined;
    constructor({ name, type, initializer }: Parameter.Args);
    write(writer: Writer): void;
}
