import { AccessAttribute } from "./AccessAttribute";
import { Class } from "./Class";
import { ClassInstantiation } from "./ClassInstantiation";
import { CodeBlock } from "./CodeBlock";
import { Comment } from "./Comment";
import { Decorator } from "./Decorator";
import { Field } from "./Field";
import { Lambda } from "./Lambda";
import { LambdaParameter } from "./LambdaParameter";
import { Method } from "./Method";
import { MethodArgument } from "./MethodArgument";
import { MethodInvocation } from "./MethodInvocation";
import { Operator } from "./Operator";
import { Parameter } from "./Parameter";
import { PythonFile } from "./PythonFile";
import { Reference } from "./Reference";
import { StarImport } from "./StarImport";
export { AccessAttribute } from "./AccessAttribute";
export { AstNode } from "./core/AstNode";
export { Class } from "./Class";
export { ClassInstantiation } from "./ClassInstantiation";
export { CodeBlock } from "./CodeBlock";
export { Comment } from "./Comment";
export { Decorator } from "./Decorator";
export { Field } from "./Field";
export { Lambda } from "./Lambda";
export { LambdaParameter } from "./LambdaParameter";
export { Method } from "./Method";
export { MethodArgument } from "./MethodArgument";
export { MethodInvocation } from "./MethodInvocation";
export { Parameter } from "./Parameter";
export { PythonFile } from "./PythonFile";
export { Operator } from "./Operator";
export { Reference } from "./Reference";
export { StarImport } from "./StarImport";
export { Type } from "./Type";
export { TypeInstantiation } from "./TypeInstantiation";
export declare function accessAttribute(args: AccessAttribute.Args): AccessAttribute;
export declare function file(args: PythonFile.Args): PythonFile;
export declare function class_(args: Class.Args): Class;
export declare function instantiateClass(args: ClassInstantiation.Args): ClassInstantiation;
export declare function decorator(args: Decorator.Args): Decorator;
export declare function reference(args: Reference.Args): Reference;
export declare function starImport(args: StarImport.Args): StarImport;
export declare function field(args: Field.Args): Field;
export declare function codeBlock(args: CodeBlock.Arg): CodeBlock;
export declare function comment(args: Comment.Args): Comment;
export declare function lambda(args: Lambda.Args): Lambda;
export declare function lambdaParameter(args: LambdaParameter.Args): LambdaParameter;
export declare function method(args: Method.Args): Method;
export declare function invokeMethod(args: MethodInvocation.Args): MethodInvocation;
export declare function parameter(args: Parameter.Args): Parameter;
export declare function methodArgument(args: MethodArgument.Args): MethodArgument;
export declare function operator(args: Operator.Args): Operator;
