import { AccessAttribute } from "./AccessAttribute";
import { Class } from "./Class";
import { ClassInstantiation } from "./ClassInstantiation";
import { CodeBlock } from "./CodeBlock";
import { Comment } from "./Comment";
import { Decorator } from "./Decorator";
import { Field } from "./Field";
import { Lambda } from "./Lambda";
import { LambdaParameter } from "./LambdaParameter";
import { Method } from "./Method";
import { MethodArgument } from "./MethodArgument";
import { MethodInvocation } from "./MethodInvocation";
import { Operator } from "./Operator";
import { Parameter } from "./Parameter";
import { PythonFile } from "./PythonFile";
import { Reference } from "./Reference";
import { StarImport } from "./StarImport";
export { AccessAttribute } from "./AccessAttribute";
export { AstNode } from "./core/AstNode";
export { Class } from "./Class";
export { ClassInstantiation } from "./ClassInstantiation";
export { CodeBlock } from "./CodeBlock";
export { Comment } from "./Comment";
export { Decorator } from "./Decorator";
export { Field } from "./Field";
export { Lambda } from "./Lambda";
export { LambdaParameter } from "./LambdaParameter";
export { Method } from "./Method";
export { MethodArgument } from "./MethodArgument";
export { MethodInvocation } from "./MethodInvocation";
export { Parameter } from "./Parameter";
export { PythonFile } from "./PythonFile";
export { Operator } from "./Operator";
export { Reference } from "./Reference";
export { StarImport } from "./StarImport";
export { Type } from "./Type";
export { TypeInstantiation } from "./TypeInstantiation";
export function accessAttribute(args) {
    return new AccessAttribute(args);
}
export function file(args) {
    return new PythonFile(args);
}
export function class_(args) {
    return new Class(args);
}
export function instantiateClass(args) {
    return new ClassInstantiation(args);
}
export function decorator(args) {
    return new Decorator(args);
}
export function reference(args) {
    return new Reference(args);
}
export function starImport(args) {
    return new StarImport(args);
}
export function field(args) {
    return new Field(args);
}
export function codeBlock(args) {
    return new CodeBlock(args);
}
export function comment(args) {
    return new Comment(args);
}
export function lambda(args) {
    return new Lambda(args);
}
export function lambdaParameter(args) {
    return new LambdaParameter(args);
}
export function method(args) {
    return new Method(args);
}
export function invokeMethod(args) {
    return new MethodInvocation(args);
}
export function parameter(args) {
    return new Parameter(args);
}
export function methodArgument(args) {
    return new MethodArgument(args);
}
export function operator(args) {
    return new Operator(args);
}
